Public Attributes | List of all members
_ll_uart_init_t Struct Reference
Peripheral Driver » LL Driver » UART » Structures » UART Exported init structures

LL UART init Structure definition. More...

`#include <gr55xx_ll_uart.h>`

## Public Attributes
uint32_t | baud_rate
| This field defines expected Usart communication baud rate. More...
uint32_t | data_bits
| Specifies the number of data bits transmitted or received in a frame. More...
uint32_t | stop_bits
| Specifies the number of stop bits transmitted. More...
uint32_t | parity
| Specifies the parity mode. More...
uint32_t | hw_flow_ctrl
| Specifies whether the hardware flow control mode is enabled or disabled. More...

## Detailed Description

LL UART init Structure definition.

Definition at line 76 of file gr55xx_ll_uart.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _ll_uart_init_t::baud_rate

This field defines expected Usart communication baud rate.

This feature can be modified afterwards using unitary function ll_uart_set_baud_rate().

Definition at line 78 of file gr55xx_ll_uart.h.

## ◆ data_bits

uint32_t _ll_uart_init_t::data_bits

Specifies the number of data bits transmitted or received in a frame.

This parameter can be a value of Data Bits.

This feature can be modified afterwards using unitary function ll_uart_set_data_bits_length().

Definition at line 82 of file gr55xx_ll_uart.h.

## ◆ hw_flow_ctrl

uint32_t _ll_uart_init_t::hw_flow_ctrl

Specifies whether the hardware flow control mode is enabled or disabled.

This parameter can be a value of Hardware Flow Control.

This feature can be modified afterwards using unitary function ll_uart_set_hw_flow_ctrl().

Definition at line 97 of file gr55xx_ll_uart.h.

## ◆ parity

uint32_t _ll_uart_init_t::parity

Specifies the parity mode.

This parameter can be a value of Parity Control.

This feature can be modified afterwards using unitary function ll_uart_set_parity().

Definition at line 92 of file gr55xx_ll_uart.h.

## ◆ stop_bits

uint32_t _ll_uart_init_t::stop_bits

Specifies the number of stop bits transmitted.

This parameter can be a value of Stop Bits.

This feature can be modified afterwards using unitary function ll_uart_set_stop_bits_length().

Definition at line 87 of file gr55xx_ll_uart.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_uart.h